Subject: Re: [PATCH] remove DMA_nBIT_MASK macro

From: Andrew Morton <[email-masked]>
Date: Wed, 6 May 2009 22:34:52 -0700

On Thu, 7 May 2009 14:14:16 +0900 FUJITA Tomonori <[email-masked]> wrote:

> We replaced all DMA_nBIT_MASK macros with DMA_BIT_MASK(n) but why do
> we still keep DMA_nBIT_MASK macros in include/linux/dma-mapping.h?
> 
> As long as these macros exist, people use them. The current git has
> two users and linux-next have other users.
> 
> Is it better to remove DMA_nBIT_MASK macros completely now?

Yes, the plan is to remove them.

Doing so will break lots and lots of out-of-tree drivers, causing
people some grief.  Is there any way in which we can cause their use to
cause __deprecated warnings for a couple of months, to give people a
chance to migrate?